
#if !defined(KOKKOS_MACROS_HPP) || defined(KOKKOS_CORE_CONFIG_H)
#error "Do not include KokkosCore_config.h directly; include Kokkos_Macros.hpp instead."
#else
#define KOKKOS_CORE_CONFIG_H
#endif

/* Execution Spaces */
#define KOKKOS_ENABLE_SERIAL
#define KOKKOS_ENABLE_OPENMP
/* #undef KOKKOS_ENABLE_THREADS */
/* #undef KOKKOS_ENABLE_CUDA */
/* #undef KOKKOS_ENABLE_ROCM */
#define KOKKOS_ENABLE_HWLOC
/* #undef KOKKOS_ENABLE_MEMKIND */
/* #undef KOKKOS_ENABLE_LIBRT */

#ifndef __CUDA_ARCH__
/* #undef KOKKOS_ENABLE_TM */
/* #undef KOKKOS_USE_ISA_X86_64 */
/* #undef KOKKOS_USE_ISA_KNC */
/* #undef KOKKOS_USE_ISA_POWERPCLE */
/* #undef KOKkOS_USE_ISA_POWERPCBE */
#endif

/* General Settings */
#define KOKKOS_ENABLE_CXX11
/* #undef KOKKOS_ENABLE_CXX14 */
/* #undef KOKKOS_ENABLE_CXX17 */
/* #undef KOKKOS_ENABLE_CXX20 */

/* #undef KOKKOS_ENABLE_CUDA_RELOCATABLE_DEVICE_CODE */
/* #undef KOKKOS_ENABLE_CUDA_UVM */
/* #undef KOKKOS_ENABLE_CUDA_LAMBDA */
/* #undef KOKKOS_ENABLE_CUDA_LDG_INTRINSIC */
/* #undef KOKKOS_ENABLE_HPX_ASYNC_DISPATCH */
/* #undef KOKKOS_ENABLE_DEBUG */
/* #undef KOKKOS_ENABLE_DEBUG_DUALVIEW_MODIFY_CHECK */
/* #undef KOKKOS_ENABLE_DEBUG_BOUNDS_CHECK */
/* #undef KOKKOS_ENABLE_COMPILER_WARNINGS */
#define KOKKOS_ENABLE_PROFILING
/* #undef KOKKOS_ENABLE_PROFILING_LOAD_PRINT */
/* #undef KOKKOS_ENABLE_AGGRESSIVE_VECTORIZATION */
/* #undef KOKKOS_ENABLE_DEPRECATED_CODE */
/* #undef KOKKOS_ENABLE_EXPLICIT_INSTANTIATION */
/* #undef KOKKOS_ENABLE_ETI */
/* #undef KOKKOS_ENABLE_LARGE_MEM_TESTS */
/* #undef KOKKOS_OPT_RANGE_AGGRESSIVE_VECTORIZATION */
/* #undef KOKKOS_ENABLE_DUALVIEW_MODIFY_CHECK */

/* TPL Settings */
#define KOKKOS_ENABLE_HWLOC
/* #undef KOKKOS_USE_LIBRT */
/* #undef KOKKOS_ENABLE_HWBSPACE */

/* #undef KOKKOS_IMPL_CUDA_CLANG_WORKAROUND */


/* #undef KOKKOS_ARCH_NONE */
/* #undef KOKKOS_ARCH_AMDAVX */
/* #undef KOKKOS_ARCH_ARMV80 */
/* #undef KOKKOS_ARCH_ARMV81 */
/* #undef KOKKOS_ARCH_ARMV8_THUNDERX */
/* #undef KOKKOS_ARCH_ARMV8_TX2 */
/* #undef KOKKOS_ARCH_SSE42 */
/* #undef KOKKOS_ARCH_WSM */
/* #undef KOKKOS_ARCH_SNB */
/* #undef KOKKOS_ARCH_AVX */
/* #undef KOKKOS_ARCH_HSW */
/* #undef KOKKOS_ARCH_BDW */
/* #undef KOKKOS_ARCH_AVX2 */
/* #undef KOKKOS_ARCH_SKX */
/* #undef KOKKOS_ARCH_AVX512XEON */
/* #undef KOKKOS_ARCH_KNC */
/* #undef KOKKOS_ARCH_AVX512MIC */
/* #undef KOKKOS_ARCH_KNL */
/* #undef KOKKOS_ARCH_BGQ */
/* #undef KOKKOS_ARCH_POWER7 */
/* #undef KOKKOS_ARCH_POWER8 */
/* #undef KOKKOS_ARCH_POWER9 */
/* #undef KOKKOS_ARCH_KEPLER */
/* #undef KOKKOS_ARCH_KEPLER30 */
/* #undef KOKKOS_ARCH_KEPLER32 */
/* #undef KOKKOS_ARCH_KEPLER35 */
/* #undef KOKKOS_ARCH_KEPLER37 */
/* #undef KOKKOS_ARCH_MAXWELL */
/* #undef KOKKOS_ARCH_MAXWELL50 */
/* #undef KOKKOS_ARCH_MAXWELL52 */
/* #undef KOKKOS_ARCH_MAXWELL53 */
/* #undef KOKKOS_ARCH_PASCAL60 */
/* #undef KOKKOS_ARCH_PASCAL61 */
/* #undef KOKKOS_ARCH_VOLTA70 */
/* #undef KOKKOS_ARCH_VOLTA72 */
/* #undef KOKKOS_ARCH_TURING75 */
/* #undef KOKKOS_ARCH_RYZEN */
/* #undef KOKKOS_ARCH_EPYC */
/* #undef KOKKOS_ARCH_KAVERI */
/* #undef KOKKOS_ARCH_CARRIZO */
/* #undef KOKKOS_ARCH_FIJI */
/* #undef KOKKOS_ARCH_VEGA */
/* #undef KOKKOS_ARCH_GFX901 */
/* #undef KOKKOS_ARCH_ROCM */
